Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
CK_ECDH1_DERIVE_PARAMS Struct Reference

`#include <pkcs11t.h>`

## Public Attributes
CK_EC_KDF_TYPE | kdf
CK_BYTE_PTR | pPublicData
CK_BYTE_PTR | pSharedData
CK_ULONG | ulPublicDataLen
CK_ULONG | ulSharedDataLen

## Detailed Description

Definition at line 1307 of file pkcs11t.h.

## Member Data Documentation

CK_EC_KDF_TYPE CK_ECDH1_DERIVE_PARAMS::kdf

Definition at line 1308 of file pkcs11t.h.

CK_BYTE_PTR CK_ECDH1_DERIVE_PARAMS::pPublicData

Definition at line 1312 of file pkcs11t.h.

CK_BYTE_PTR CK_ECDH1_DERIVE_PARAMS::pSharedData

Definition at line 1310 of file pkcs11t.h.

CK_ULONG CK_ECDH1_DERIVE_PARAMS::ulPublicDataLen

Definition at line 1311 of file pkcs11t.h.

CK_ULONG CK_ECDH1_DERIVE_PARAMS::ulSharedDataLen

Definition at line 1309 of file pkcs11t.h.

The documentation for this struct was generated from the following file:

- src/lib/prov/pkcs11/pkcs11t.h